Skip to main content
POST
/
api
/
v1
/
policies
/
check-authorization
/
{entity_type}
/
{entity_id}
Check Entity Authorization
curl --request POST \
  --url https://control-plane.kubiya.ai/api/v1/policies/check-authorization/{entity_type}/{entity_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "<string>",
  "resource": "<string>",
  "context": {}
}
'
import requests

url = "https://control-plane.kubiya.ai/api/v1/policies/check-authorization/{entity_type}/{entity_id}"

payload = {
"action": "<string>",
"resource": "<string>",
"context": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: '<string>', resource: '<string>', context: {}})
};

fetch('https://control-plane.kubiya.ai/api/v1/policies/check-authorization/{entity_type}/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "authorized": true,
  "violations": [
    "<string>"
  ],
  "policies_evaluated": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Path Parameters

entity_type
enum<string>
required
Available options:
agent,
team,
environment
entity_id
string
required

Body

application/json

Request model for authorization check

action
string
required

Action to check

resource
string | null

Resource identifier

context
Context · object | null

Additional context

Response

Successful Response

Response model for authorization check

authorized
boolean
required
violations
string[]
required
policies_evaluated
integer
required